Frames
Legacy API
Collaboration diagram for Frames:

## Macros

#define | __itt_frame_create __itt_frame_createA
#define | __itt_frame_create_ptr __itt_frame_createA_ptr

## Typedefs

typedef struct __itt_frame_t * | __itt_frame
| opaque structure for frame identification More...

## Functions

void ITTAPI | __itt_frame_begin_v3 (const __itt_domain *domain, __itt_id *id)
| Begin a frame instance. Successive calls to __itt_frame_begin with the same ID are ignored until a call to __itt_frame_end with the same ID. More...
void ITTAPI | __itt_frame_end_v3 (const __itt_domain *domain, __itt_id *id)
| End a frame instance. The first call to __itt_frame_end with a given ID ends the frame. Successive calls with the same ID are ignored, as are calls that do not have a matching __itt_frame_begin call. More...
void ITTAPI | __itt_frame_submit_v3 (const __itt_domain *domain, __itt_id *id, __itt_timestamp begin, __itt_timestamp end)
| Submits a frame instance. Successive calls to __itt_frame_begin or __itt_frame_submit with the same ID are ignored until a call to __itt_frame_end or __itt_frame_submit with the same ID. Passing special __itt_timestamp_none value as "end" argument means take the current timestamp as the end timestamp. More...
__itt_frame ITTAPI | __itt_frame_createA (const char *domain)
| Create a global frame with given domain. More...
__itt_frame ITTAPI | __itt_frame_createW (const wchar_t *domain)
void ITTAPI | __itt_frame_begin (__itt_frame frame)
| Record an frame begin occurrence. More...
void ITTAPI | __itt_frame_end (__itt_frame frame)
| Record an frame end occurrence. More...

## Detailed Description

Frames are similar to regions, but are intended to be easier to use and to implement. In particular:

- Frames always represent periods of elapsed time
- By default, frames have no nesting relationships

Frames group

## Macro Definition Documentation

## __itt_frame_create

#define __itt_frame_create __itt_frame_createA

Definition at line 921 of file legacy/ittnotify.h.

## __itt_frame_create_ptr

#define __itt_frame_create_ptr __itt_frame_createA_ptr

Definition at line 922 of file legacy/ittnotify.h.

## Typedef Documentation

## __itt_frame

typedef struct __itt_frame_t* __itt_frame

opaque structure for frame identification

Definition at line 909 of file legacy/ittnotify.h.

## Function Documentation

## __itt_frame_begin()

void ITTAPI __itt_frame_begin | ( | __itt_frame | frame | ) |

Record an frame begin occurrence.

## __itt_frame_begin_v3()

void ITTAPI __itt_frame_begin_v3 | ( | const __itt_domain * | domain,
|  | __itt_id * | id
| ) |  |

Begin a frame instance. Successive calls to __itt_frame_begin with the same ID are ignored until a call to __itt_frame_end with the same ID.

Parameters

  [in] | domain | The domain for this frame instance
  [in] | id | The instance ID for this frame instance or NULL

## __itt_frame_createA()

__itt_frame ITTAPI __itt_frame_createA | ( | const char * | domain | ) |

Create a global frame with given domain.

## __itt_frame_createW()

__itt_frame ITTAPI __itt_frame_createW | ( | const wchar_t * | domain | ) |

## __itt_frame_end()

void ITTAPI __itt_frame_end | ( | __itt_frame | frame | ) |

Record an frame end occurrence.

## __itt_frame_end_v3()

void ITTAPI __itt_frame_end_v3 | ( | const __itt_domain * | domain,
|  | __itt_id * | id
| ) |  |

End a frame instance. The first call to __itt_frame_end with a given ID ends the frame. Successive calls with the same ID are ignored, as are calls that do not have a matching __itt_frame_begin call.

Parameters

  [in] | domain | The domain for this frame instance
  [in] | id | The instance ID for this frame instance or NULL for current

## __itt_frame_submit_v3()

void ITTAPI __itt_frame_submit_v3 | ( | const __itt_domain * | domain,
|  | __itt_id * | id,
|  | __itt_timestamp | begin,
|  | __itt_timestamp | end
| ) |  |

Submits a frame instance. Successive calls to __itt_frame_begin or __itt_frame_submit with the same ID are ignored until a call to __itt_frame_end or __itt_frame_submit with the same ID. Passing special __itt_timestamp_none value as "end" argument means take the current timestamp as the end timestamp.

Parameters

  [in] | domain | The domain for this frame instance
  [in] | id | The instance ID for this frame instance or NULL
  [in] | begin | Timestamp of the beginning of the frame
  [in] | end | Timestamp of the end of the frame

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.